Next: MINEXPONENT, Previous: MERGE_BITS, Up: Intrinsic Procedures

### 8.172 `MIN` — Minimum value of an argument list

Description:
  Returns the argument with the smallest (most negative) value.
Standard:
  Fortran 77 and later
Class:
  Elemental function
Syntax:
  `RESULT = MIN(A1, A2 [, A3, ...])`
Arguments:

  A1 | The type shall be `INTEGER` or `REAL`.
  A2, A3, ... | An expression of the same type and kind as A1. (As a GNU extension, arguments of different kinds are permitted.)

Return value:
  The return value corresponds to the maximum value among the arguments, and has the same type and kind as the first argument.
Specific names:

  Name | Argument | Return type | Standard
  `MIN0(A1)` | `INTEGER(4) A1` | `INTEGER(4)` | Fortran 77 and later
  `AMIN0(A1)` | `INTEGER(4) A1` | `REAL(4)` | Fortran 77 and later
  `MIN1(A1)` | `REAL A1` | `INTEGER(4)` | Fortran 77 and later
  `AMIN1(A1)` | `REAL(4) A1` | `REAL(4)` | Fortran 77 and later
  `DMIN1(A1)` | `REAL(8) A1` | `REAL(8)` | Fortran 77 and later

See also:
  MAX, MINLOC, MINVAL